* {
	margin: 0px;
	padding: 0px;
	box-sizing: border-box;
	font-family: "Open Sans", sans-serif;

	}

body {
   
   
   background-color: #dedede;
}

#landing-jumbo {
	/*occupy 75% of the screens height*/
    height: 100vh;

    /*assign the flex container*/
    display: flex;

    /*vertically center the elements inside the jumbotron*/
    align-items: center;

    /*add background color as well as text color*/
    background-image: url(../images/wallpaper.jpg);
    color: #FFF;
}

.display-4{
   color: black;
   margin-bottom:20px;
   
}



.lead{
	border-top: solid black;
	color: #255784;
	font-size: 30px;
	margin-bottom: 100px;
	font-family: 'Open Sans Condensed', sans-serif;

}

#skill h2{
	text-decoration: underline;
	color: brown;
}

.strong1{
	margin-left: 60px;
	color:  #0C729D;
}
.strong2{
	margin-left: 60px;
	color:  #0C729D;
}
.strong3{
	margin-left: 40px;
	color:  #0C729D;
}
.strong4{
	margin-left: 50px;
	color:  #0C729D;}
.strong5{
	margin-left: 50px;
	display: inline-flex;
	color:  #0C729D;
}





/* Style all the heading elements with font to be zilla slab*/
h1,h2,h3,h4,h5,h6{
	font-family: 'Akaya Kanadaka', cursive;

}


/* profile image */
#profile-image {
	/*Stretch the bg*/
	background-image: url("../images/me_2.jpg");
    /*Stretch the bg*/
	background-size: cover;
	/*prevent image from repeating*/
	background-repeat: no-repeat;
	/*Center the background*/
	background-position: center;
	/*set the height to 50vh*/
	height: 50vh;
    border-radius: 20px;
    border-width: 100px;
	border: solid #255784;

}

.tech-stack {
	height: 100px;
	margin-top: 15px;
	background-size: contain;
	background-repeat: no-repeat;
	background-position: center; 
}

/* backround images in container */

#html {
	background-image: url("../images/HTML-logo.png");
	border-radius: 50px;
}

#css {
	background-image: url("../images/CSS-logo.png");
	border-radius: 50%;
}

#js {
	background-image: url("../images/js-logo.png");
	border-radius: 50%;
}

#gitlab {
	background-image: url("../images/gitlab-logo.jpg");
	border-radius: 50%;
}

#google {
	background-image: url("../images/google-logo.png");
	border-radius: 50%;
}

#work-button {
    margin: 20px;
}



}

#main-section{
	background-color: #fff;
	padding: 70px 50px;
	border-radius: 30px;
}



footer {
	display: flex;
	justify-content: flex-end;
	margin-top: 20px;
	padding: 5px;
}

.navbar {
 
 justify-content: center;

}

.nav-link {

	display: inline;

    
}
.nav-item {
	display: inline;

}

.nav-item a{
	color: #dedede;
}




.nav-link, .btn {
   position: relative;
   padding: 15px 30px;
   display: inline-block;
   color: #2196f3;
   text-transform: uppercase;
   letter-spacing: 4px;
   text-decoration:none;
   font-size: 24px;
   overflow: hidden;
    transition: 0.5s;
   font-family: 'Open Sans Condensed', sans-serif;
}

.nav-link:hover {
	color: #255784;
	background: #2196f3;
	box-shadow: 0 0 10px #2196f3, 0 0 40px #2196f3, 0 0 10px #2196f3;
}


.dropdown-item{
position: relative;
   padding: 15px 30px;
   display: inline-block;
   color: #2196f3;
   text-transform: uppercase;
   letter-spacing: 4px;
   text-decoration:none;
   font-size: 24px;
   overflow: hidden;
     transition: 0.5s;

}

.dropdown-menu a{
	color: black;
	background-color: #EEE;
}

.dropdown-item:hover{
	color: white;
	background: #255784;
	box-shadow: 0 0 10px #2196f3, 0 0 40px #2196f3, 0 0 10px #2196f3;

}

.d-block{
	margin-left: 200px;
   
}



.neon{
	margin: 0;
	padding: 0;
	display: flex;
	display: inline-block;
	max-width: 300px;

}




.neon li{
	list-style: none;
	margin-left: 0 20px;
	transition: 0.5s;


}


.neon  a{
	display: block;
	position: relative;
	text-decoration: none;
	padding: 5px;
	font-size: 18px;
	font-family: sans-serif;
	color: #fff;
	text-transform: uppercase;
	transition: 0.5s;
	background-color: orange;
}


.neon:hover  a{
	transform:scale(2);
	opacity: 1;
	filter: blur(0);
}

.neon   a:before{
	content:"";
	position: absolute;
	top: 0;
	left: 0;
	width: 100%;
	height: 100%;
	background: gray;
	transition: transform 0.5s;
	transform-origin: right;
	transform: scaleX(0);
	z-index: -1;
}

.neon  a:hover:before{
	transition: transform 0.7s;
	transform-origin: left;
	transform:scaleX(1);
}

.neon  {
	margin-left: 0 20px;
	transition: 0.5s;
}


.neon  a{
	display: block;
	position: relative;
	text-decoration: none;
	padding: 5px;
	font-size: 18px;
	font-family: sans-serif;
	color: #fff;
	text-transform: uppercase;
	transition: 0.5s;
}

.row .neon{
	padding: 0;
	width:300px;
	min-width: 50%;
	margin: 10px;

}





#container-footer{
	margin-top: 20px;
	
	

}



.section-footer {
   display: flex;
   align-items: center;
   min-height: center;
   min-height: 50vh;
   padding: 20px;
   

  /*filter: hue-rotate(120deg);*/
}
   





.wrapper .button{
	display: inline-block;
	height: 60px;
	width:60px;
	float: left;
	margin:0 5px;
	overflow: hidden;
	background: #fff;
	border-radius: 50px;
	cursor: pointer;
	box-shadow: 0px 10px 10px rgba(0,0,0,0.1);
	transition: all 0.3s ease-out;




}

.wrapper .button:hover{
	width:200px;
}

.wrapper .button .icon{
	display: inline-block;
	height: 60px;
	width:60px;
	text-align: center;
	border-radius: 50px;
	box-sizing: border-box;
	line-height: 60px;
	transition: all 0.3s ease-out;


}


.wrapper .button:nth-child(1) .icon{
	background: #4267B2;
	background-image: url("../images/facebook.logo.png");
	background-position: center;
	background-size: contain;
}

.wrapper .button:nth-child(1):hover .icon{
	background: #4267B2;
	background-image: url("../images/facebook.logo.png");
	background-position: center;
	background-size: contain;
}

.wrapper .button:nth-child(2) .icon{
	color: black;
	background-image: url("../images/gitlab-2.png");
	background-position: center;
	background-size: contain;
}



.wrapper .button:nth-child(2):hover .icon{
	
}

.wrapper .button:nth-child(3) .icon{
	background-image: url("../images/linkin.png");
	background-position: center;
	background-size: contain;
}

.wrapper .button:nth-child(3):hover .icon{
	
}



.wrapper .button .icon i{
	font-size: 25px;
	line height:60px;
	transition: all 0.3s ease-out;

}

.wrapper .button:hover .icon i{
	color: #fff;
}

.wrapper .button span{
	font-size: 20px;
	font-weight: 500;
	line-height: 60px;
	margin-left: 10px;
}



.map{
	max-width: 700px;
	border: 2px solid red;
	margin: auto;

}

.googlemap{
	width: 100%;
}

/* this is the form */
.awit{
	width:80%;
	padding: 20px;
	background: #A4A4A4;
	border: solid black;
	
}

.awit h2 {
  width: 100%;
  color: black;
  font-size: 36px;
  text-align: center;
  margin-bottom: 10px;

}

.awit .row100{

	position: relative;
	width:100%;
	display: grid;
	grid-template-columns: repeat(autofit,minmax(300px,1fr));

}

.awit .row100 .col{
	position: relative;
	width: 100%;
	padding: 0 10px;
	margin:30px 0 10px;
	transition: 0.5s;
}

.awit .row100 .inputBox{
	position: relative;
	width: 100%;
	height: 40px;
	color: white;
}

.awit .row100 .inputBox input,
.awit .row100 .inputBox.textarea textarea{
	position: absolute;
	width: 100%;
	height: 100%;
	background: transparent;
	box-shadow: none;
	border: none;
	outline: none;
	font-size: 18px;
	padding:0 10px;
	z-index: 1;
	color: #000;
}

.awit .row100 .inputBox .text{
	position: absolute;
	top: 0;
	left: 0;
	line-height: 40px;
	font-size: 18px;
    padding: 0 10px;
    display: block;
    transition: 0.5s;
    pointer-events: none;
}

.awit .row100 .inputBox input:focus + .text,
.awit .row100 .inputBox input:valid + .text,{
	top: -35px;
	left: -10px;
}

.awit .row100 .inputBox .line{
	position: absolute;
	bottom: 0;
	display: block;
	width:100%;
	height: 2px;
	background: #E0F2F7;
	transition: 0.5s;
	border-radius: 2px;
	pointer-events: none;
}

.awit .row100 .inputBox input:focus ~ .line,
.awit .row100 .inputBox input:valid ~ .line{
	height: 100%;
}

.awit .row100 .inputBox.textarea{
	position: relative;
	width: 100%;
	height: 100px;
	padding: 10px 0;

}

.awit .row100 .inputBox.textarea textarea{
	height: 100%;
	resize: none;	
}

.awit .row100 .inputBox textarea:focus + .text,
.awit .row100 .inputBox textarea:valid + .text{
	top: -35px;
	left: -10px;
}

.awit .row100 .inputBox textarea:focus ~ .line,
.awit .row100 .inputBox textarea:valid ~ .line{
	height: 100%;
}


input[type="submit"]{
	border: none;
	padding: 7px 35px;
	cursor: pointer;
	outline: none;
	background: #E0F2F7;
	color: #000;
	font-size: 18px;
	border-radius: 50px;
	font-family: 'Akaya Kanadaka', cursive;
}


html {
    scroll-behavior: smooth;
}


.main-container{
	border: double white;
	background-image: url(../images/wallpaper.jpg);
}





